Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Administration/IAdministrationService.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Administration/IAdministrationService.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Administration/IAdministrationService.cs	(revision 5482)
@@ -24,5 +24,5 @@
 using System.Net.Security;
 using System.ServiceModel;
-using HeuristicLab.Services.OKB.DataTransfer;
+using HeuristicLab.Services.OKB.Administration.DataTransfer;
 
 namespace HeuristicLab.Services.OKB.Administration {
@@ -33,6 +33,4 @@
   public interface IAdministrationService {
     #region Platform Methods
-    [OperationContract]
-    Platform GetPlatform(long id);
     [OperationContract]
     IEnumerable<Platform> GetPlatforms();
@@ -45,21 +43,5 @@
     #endregion
 
-    #region DataType Methods
-    [OperationContract]
-    DataType GetDataType(long id);
-    [OperationContract]
-    long AddDataType(DataType dto);
-    #endregion
-
-    #region BinaryData Methods
-    [OperationContract]
-    long GetBinaryDataId(byte[] hash);
-    [OperationContract]
-    long AddBinaryData(BinaryData dto);
-    #endregion
-
     #region AlgorithmClass Methods
-    [OperationContract]
-    AlgorithmClass GetAlgorithmClass(long id);
     [OperationContract]
     IEnumerable<AlgorithmClass> GetAlgorithmClasses();
@@ -73,6 +55,4 @@
 
     #region Algorithm Methods
-    [OperationContract]
-    Algorithm GetAlgorithm(long id);
     [OperationContract]
     IEnumerable<Algorithm> GetAlgorithms();
@@ -88,10 +68,10 @@
     void UpdateAlgorithmUsers(long algorithmId, IEnumerable<Guid> users);
     [OperationContract]
-    BinaryData GetAlgorithmData(long algorithmId);
+    byte[] GetAlgorithmData(long algorithmId);
+    [OperationContract]
+    void UpdateAlgorithmData(long algorithmId, byte[] data);
     #endregion
 
     #region ProblemClass Methods
-    [OperationContract]
-    ProblemClass GetProblemClass(long id);
     [OperationContract]
     IEnumerable<ProblemClass> GetProblemClasses();
@@ -105,6 +85,4 @@
 
     #region Problem Methods
-    [OperationContract]
-    Problem GetProblem(long id);
     [OperationContract]
     IEnumerable<Problem> GetProblems();
@@ -120,16 +98,7 @@
     void UpdateProblemUsers(long problemId, IEnumerable<Guid> users);
     [OperationContract]
-    BinaryData GetProblemData(long problemId);
-    #endregion
-
-    #region Run Methods
+    byte[] GetProblemData(long problemId);
     [OperationContract]
-    Run GetRun(long id);
-    [OperationContract]
-    IEnumerable<Run> GetRuns(long algorithmId, long problemId);
-    [OperationContract]
-    long AddRun(Run dto);
-    [OperationContract]
-    void DeleteRun(long id);
+    void UpdateProblemData(long problemId, byte[] data);
     #endregion
   }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj	(revision 5482)
@@ -121,4 +121,13 @@
   <ItemGroup>
     <Compile Include="Administration\AdministrationService.cs" />
+    <Compile Include="Administration\Convert.cs" />
+    <Compile Include="Administration\DataTransfer\Algorithm.cs" />
+    <Compile Include="Administration\DataTransfer\AlgorithmClass.cs" />
+    <Compile Include="Administration\DataTransfer\DataType.cs" />
+    <Compile Include="Administration\DataTransfer\NamedOKBItem.cs" />
+    <Compile Include="Administration\DataTransfer\OKBItem.cs" />
+    <Compile Include="Administration\DataTransfer\Platform.cs" />
+    <Compile Include="Administration\DataTransfer\Problem.cs" />
+    <Compile Include="Administration\DataTransfer\ProblemClass.cs" />
     <Compile Include="Administration\IAdministrationService.cs" />
     <Compile Include="Authentication\AuthenticationService.cs" />
@@ -127,40 +136,146 @@
     <Compile Include="Convert.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="Query\Filters\AlgorithmClassNameFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmDataDataTypeNameFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmNameFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmParameterBlobValueDataTypeNameFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmParameterBlobValueValueFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmParameterBoolValueValueFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmParameterFloatValueValueFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmParameterIntValueValueFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmParameterNameFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmParameterStringValueValueFilter.cs" />
-    <Compile Include="Query\Filters\AlgorithmPlatformNameFilter.cs" />
-    <Compile Include="Query\Filters\AndFilter.cs" />
-    <Compile Include="Query\Filters\OrFilter.cs" />
-    <Compile Include="Query\Filters\ProblemClassNameFilter.cs" />
-    <Compile Include="Query\Filters\ProblemDataDataTypeNameFilter.cs" />
-    <Compile Include="Query\Filters\ProblemNameFilter.cs" />
-    <Compile Include="Query\Filters\ProblemParameterBlobValueDataTypeNameFilter.cs" />
-    <Compile Include="Query\Filters\ProblemParameterBlobValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ProblemParameterBoolValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ProblemParameterFloatValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ProblemParameterIntValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ProblemParameterNameFilter.cs" />
-    <Compile Include="Query\Filters\ProblemParameterStringValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ProblemPlatformNameFilter.cs" />
-    <Compile Include="Query\Filters\ResultBlobValueDataTypeNameFilter.cs" />
-    <Compile Include="Query\Filters\ResultBlobValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ResultBoolValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ResultFloatValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ResultIntValueValueFilter.cs" />
-    <Compile Include="Query\Filters\ResultNameFilter.cs" />
-    <Compile Include="Query\Filters\ResultStringValueValueFilter.cs" />
-    <Compile Include="Query\Filters\RunClientNameFilter.cs" />
-    <Compile Include="Query\Filters\RunCreatedDateFilter.cs" />
-    <Compile Include="Query\Filters\RunRandomSeedFilter.cs" />
-    <Compile Include="Query\Filters\RunUserNameFilter.cs" />
-    <Compile Include="Query\IFilter.cs" />
+    <Compile Include="Query\DataTransfer\Algorithm.cs" />
+    <Compile Include="Query\DataTransfer\AlgorithmClass.cs" />
+    <Compile Include="Query\DataTransfer\BinaryValue.cs" />
+    <Compile Include="Query\DataTransfer\BooleanOperation.cs" />
+    <Compile Include="Query\DataTransfer\BoolValue.cs" />
+    <Compile Include="Query\DataTransfer\CombinedFilter.cs" />
+    <Compile Include="Query\DataTransfer\DataType.cs" />
+    <Compile Include="Query\DataTransfer\DoubleValue.cs" />
+    <Compile Include="Query\DataTransfer\EqualityComparison.cs" />
+    <Compile Include="Query\DataTransfer\EqualityComparisonFilter.cs" />
+    <Compile Include="Query\DataTransfer\Filter.cs" />
+    <Compile Include="Query\DataTransfer\FloatValue.cs" />
+    <Compile Include="Query\DataTransfer\IntValue.cs" />
+    <Compile Include="Query\DataTransfer\LongValue.cs" />
+    <Compile Include="Query\DataTransfer\NameEqualityComparisonBoolFilter.cs" />
+    <Compile Include="Query\DataTransfer\NameEqualityComparisonByteArrayFilter.cs" />
+    <Compile Include="Query\DataTransfer\NameOrdinalComparisonDoubleFilter.cs" />
+    <Compile Include="Query\DataTransfer\NameOrdinalComparisonFloatFilter.cs" />
+    <Compile Include="Query\DataTransfer\NameOrdinalComparisonIntFilter.cs" />
+    <Compile Include="Query\DataTransfer\NameOrdinalComparisonLongFilter.cs" />
+    <Compile Include="Query\DataTransfer\NameStringComparisonAvailableValuesFilter.cs" />
+    <Compile Include="Query\DataTransfer\NameStringComparisonFilter.cs" />
+    <Compile Include="Query\DataTransfer\OrdinalComparison.cs" />
+    <Compile Include="Query\DataTransfer\OrdinalComparisonDateTimeFilter.cs" />
+    <Compile Include="Query\DataTransfer\OrdinalComparisonFilter.cs" />
+    <Compile Include="Query\DataTransfer\OrdinalComparisonIntFilter.cs" />
+    <Compile Include="Query\DataTransfer\OrdinalComparisonLongFilter.cs" />
+    <Compile Include="Query\DataTransfer\Platform.cs" />
+    <Compile Include="Query\DataTransfer\Problem.cs" />
+    <Compile Include="Query\DataTransfer\ProblemClass.cs" />
+    <Compile Include="Query\DataTransfer\Run.cs" />
+    <Compile Include="Query\DataTransfer\StringComparison.cs" />
+    <Compile Include="Query\DataTransfer\StringComparisonAvailableValuesFilter.cs" />
+    <Compile Include="Query\DataTransfer\StringComparisonFilter.cs" />
+    <Compile Include="Query\DataTransfer\StringValue.cs" />
+    <Compile Include="Query\DataTransfer\Value.cs" />
+    <Compile Include="Query\Filters\AlgorithmClassNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmDataDataTypeNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmParameterBlobValueDataTypeNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmParameterBlobValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmParameterBoolValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmParameterFloatValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmParameterIntValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmParameterNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmParameterStringValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AlgorithmPlatformNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\AndFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\IFilter.cs" />
+    <Compile Include="Query\Filters\OrFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemClassNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemDataDataTypeNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemParameterBlobValueDataTypeNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemParameterBlobValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemParameterBoolValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemParameterFloatValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemParameterIntValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemParameterNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemParameterStringValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ProblemPlatformNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ResultBlobValueDataTypeNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ResultBlobValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ResultBoolValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ResultFloatValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ResultIntValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ResultNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\ResultStringValueValueFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\RunClientNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\RunCreatedDateFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\RunRandomSeedFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Query\Filters\RunUserNameFilter.cs">
+      <SubType>Code</SubType>
+    </Compile>
     <Compile Include="Query\IQueryService.cs" />
     <Compile Include="Query\QueryService.cs" />
@@ -200,8 +315,5 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <Folder Include="Administration\DataTransfer\" />
-    <Folder Include="Query\DataTransfer\" />
-  </ItemGroup>
+  <ItemGroup />
   <ItemGroup>
     <Service Include="{3259AA49-8AA1-44D3-9025-A0B520596A8C}" />
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Algorithm.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Algorithm.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Algorithm.cs	(revision 5482)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class Algorithm {
+    [DataMember]
+    public string Name { get; set; }
+    [DataMember]
+    public string Description { get; set; }
+    [DataMember]
+    public Platform Platform { get; set; }
+    [DataMember]
+    public AlgorithmClass AlgorithmClass { get; set; }
+    [DataMember]
+    public DataType DataType { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/AlgorithmClass.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/AlgorithmClass.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/AlgorithmClass.cs	(revision 5482)
@@ -0,0 +1,32 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class AlgorithmClass {
+    [DataMember]
+    public string Name { get; set; }
+    [DataMember]
+    public string Description { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BinaryValue.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BinaryValue.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BinaryValue.cs	(revision 5482)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class BinaryValue : Value {
+    [DataMember]
+    public long BinaryDataId { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BoolValue.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BoolValue.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BoolValue.cs	(revision 5482)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class BoolValue : Value {
+    [DataMember]
+    public bool Value { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BooleanOperation.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BooleanOperation.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/BooleanOperation.cs	(revision 5482)
@@ -0,0 +1,32 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public enum BooleanOperation {
+    [EnumMember]
+    And,
+    [EnumMember]
+    Or
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/CombinedFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/CombinedFilter.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/CombinedFilter.cs	(revision 5482)
@@ -0,0 +1,41 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Linq;
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class CombinedFilter : Filter {
+    [DataMember]
+    public BooleanOperation Operation { get; protected set; }
+    [DataMember]
+    public IEnumerable<Filter> Filters { get; set; }
+
+    public CombinedFilter(string filterTypeName, string label, BooleanOperation operation) {
+      FilterTypeName = filterTypeName;
+      Label = label;
+      Operation = operation;
+      Filters = Enumerable.Empty<Filter>();
+    }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/DataType.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/DataType.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/DataType.cs	(revision 5482)
@@ -0,0 +1,32 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class DataType {
+    [DataMember]
+    public string Name { get; set; }
+    [DataMember]
+    public string TypeName { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/DoubleValue.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/DoubleValue.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/DoubleValue.cs	(revision 5482)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class DoubleValue : Value {
+    [DataMember]
+    public double Value { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/EqualityComparison.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/EqualityComparison.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/EqualityComparison.cs	(revision 5482)
@@ -0,0 +1,32 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public enum EqualityComparison {
+    [EnumMember]
+    Equal,
+    [EnumMember]
+    NotEqual
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/EqualityComparisonFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/EqualityComparisonFilter.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/EqualityComparisonFilter.cs	(revision 5482)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public abstract class EqualityComparisonFilter : Filter {
+    [DataMember]
+    public EqualityComparison Comparison { get; set; }
+  }
+}
